Problems with thumbnails

2012-09-17 15:14 - Luis Serrano Aranda

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I have Redmine 2.1 and I don't see the thumbnails (I test with png and jpg), this is my environment

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.4

Rails version             3.2.8

JavaScript Runtime        therubyracer (V8)

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<Act

iveSupport::Cache::Strategy::LocalCache::Middleware:0xefa470>, Rack::Runtime, Ra

ck::MethodOverride, ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispat

ch::ShowExceptions, ActionDispatch::DebugExceptions, ActionDispatch::RemoteIp, A

ctionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement

, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::Co

okieStore, ActionDispatch::Flash, RedmineDmsf::NoParse, ActionDispatch::ParamsPa

rser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::Be

stStandardsSupport, OpenIdAuthentication

Application root          /var/redmine

Environment               production

Database adapter          mysql

Database schema version   20120731164049

Thanks in advance

History

#1 - 2012-09-17 16:48 - Etienne Massip

What did you write?

Did you try with an underscore in place of the space?

#2 - 2012-09-17 17:08 - Luis Serrano Aranda

- File Sin_titulo.png added

The same problem with _

#3 - 2012-09-17 17:13 - Etienne Massip

 150 

Seems to work here with:

{{thumbnail(Sin_titulo.png, size=150, title=Thumbnail)}}

 If you're talking about automatically displayed thumbmails, you have to check Display attachment thumbnails settings in Administration to activate it.
https://www.redmine.org/attachments/8224


#4 - 2012-09-17 19:48 - Jean-Philippe Lang

Make sure that convert (from imagemagick) is available on your system.

#5 - 2012-09-18 08:10 - Luis Serrano Aranda

I write  150  and not work (the same result), the option Display attachment thumbnails is checked and I have RMagick installed.

#6 - 2012-09-18 09:39 - Etienne Massip

Luis Serrano Aranda wrote:

I write  150  and not work (the same result), the option Display attachment thumbnails is checked and I have RMagick installed.

 As said JPL, make sure that the convert command is accessible in the path to the user running the application.

#7 - 2012-09-18 10:39 - Luis Serrano Aranda

Thanks Etienne but, what is the process to know if the convert command is accessible in the path to the user running the application.

#8 - 2012-09-18 13:34 - Antoine de pierrefeu

I had the same issue on a turnkey VM and I solved the problem changing /var/www/railsapp/tmp/thumbnails rights for the user running the application

#9 - 2012-09-18 15:31 - Etienne Massip

Luis Serrano Aranda wrote:

Thanks Etienne but, what is the process to know if the convert command is accessible in the path to the user running the application.

 You can su either a which convert or a convert -version with this user login.

#10 - 2012-09-19 02:08 - Luis Serrano Aranda

Still not working, my default folder for attachments is redmine/files and with firebug in the thumbnail look in the folder redmine/atachments/thumbnail

I changed the default folder for atachments to redmine/atachments and create inside the folder thumbnail, configure the acces and the thumbnail

fails...

#11 - 2012-09-19 02:12 - Luis Serrano Aranda

It is necessary modify the configuration.yml file (this line)

1. Absolute path (e.g. /usr/bin/convert, c:/im/convert.exe) to

2. the ImageMagick's `convert` binary. Used to generate attachment thumbnails.

#imagemagick_convert_command:

#12 - 2012-09-19 02:22 - Luis Serrano Aranda

Ups I needed to install the library

sudo apt-get install imagemagick

#13 - 2012-09-19 09:43 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

#14 - 2013-02-13 15:35 - Anthony Cartmell

FWIW I had this problem too, and the fix for me was that proposed by Antoine: I had to make tmp/thumbnails writeable by the application.

#15 - 2014-01-13 12:09 - Pierre de LESPINAY

Redmine was telling me that ImageMagick was installed but I also had to install it with

$ sudo apt-get install imagemagick

[...]

The following NEW packages will be automatically installed:

  hicolor-icon-theme imagemagick libnetpbm10 netpbm

[...]

 It works now
#16 - 2014-08-12 15:05 - Pierre Pretorius

Same here, Redmine was saying imagemagick is available but it wasn't.

#17 - 2015-12-27 20:23 - Alex Kalinin

I did this:

hedin@rbdev:~$ sudo aptitude install imagemagick

hedin@rbdev:~$ sudo /etc/init.d/apache2 restart

 It works.

Files

TestThumbnail.jpg 395 KB 2012-09-17 Luis Serrano Aranda

Sin_titulo.png 361 KB 2012-09-17 Luis Serrano Aranda
